bCao.controller('node-js-state', function ($scope, $location) {
    $scope.nodState1 = true;
    $scope.nodState2 = true;
    $scope.nodState3 = true;
    $scope.nodState4 = true;
    $scope.nodState5 = true;
    $scope.nodState6 = true;
    $scope.nodState7 = true;
    $scope.nodState8 = true;
    $scope.nodState9 = true;
    $scope.nodState10 = true;

    $scope.nodFState1 = function () {
        $location.path('/node-js');
        $scope.nodState1 = true;
        $scope.nodState2 = true;
        $scope.nodState3 = true;
        $scope.nodState4 = true;
        $scope.nodState5 = true;
        $scope.nodState6 = true;
        $scope.nodState7 = true;
        $scope.nodState8 = true;
        $scope.nodState9 = true;
        $scope.nodState10 = true;
    };
    $scope.nodFState2 = function () {
        $location.path('/node-js');
        $scope.nodState1 = false;
        $scope.nodState2 = false;
        $scope.nodState3 = true;
        $scope.nodState4 = true;
        $scope.nodState5 = true;
        $scope.nodState6 = true;
        $scope.nodState7 = true;
        $scope.nodState8 = true;
        $scope.nodState9 = true;
        $scope.nodState10 = true;
    };
    $scope.nodFState3 = function () {
        $location.path('/node-js');
        $scope.nodState1 = false;
        $scope.nodState2 = true;
        $scope.nodState3 = false;
        $scope.nodState4 = true;
        $scope.nodState5 = true;
        $scope.nodState6 = true;
        $scope.nodState7 = true;
        $scope.nodState8 = true;
        $scope.nodState9 = true;
        $scope.nodState10 = true;
    };
    $scope.nodFState4 = function () {
        $location.path('/node-js');
        $scope.nodState1 = false;
        $scope.nodState2 = true;
        $scope.nodState3 = true;
        $scope.nodState4 = false;
        $scope.nodState5 = true;
        $scope.nodState6 = true;
        $scope.nodState7 = true;
        $scope.nodState8 = true;
        $scope.nodState9 = true;
        $scope.nodState10 = true;
    };
    $scope.nodFState5 = function () {
        $location.path('/node-js');
        $scope.nodState1 = false;
        $scope.nodState2 = true;
        $scope.nodState3 = true;
        $scope.nodState4 = true;
        $scope.nodState5 = false;
        $scope.nodState6 = true;
        $scope.nodState7 = true;
        $scope.nodState8 = true;
        $scope.nodState9 = true;
        $scope.nodState10 = true;
    };
    $scope.nodFState6 = function () {
        $location.path('/node-js');
        $scope.nodState1 = false;
        $scope.nodState2 = true;
        $scope.nodState3 = true;
        $scope.nodState4 = true;
        $scope.nodState5 = true;
        $scope.nodState6 = false;
        $scope.nodState7 = true;
        $scope.nodState8 = true;
        $scope.nodState9 = true;
        $scope.nodState10 = true;
    };
    $scope.nodFState7 = function () {
        $location.path('/node-js');
        $scope.nodState1 = false;
        $scope.nodState2 = true;
        $scope.nodState3 = true;
        $scope.nodState4 = true;
        $scope.nodState5 = true;
        $scope.nodState6 = true;
        $scope.nodState7 = false;
        $scope.nodState8 = true;
        $scope.nodState9 = true;
        $scope.nodState10 = true;
    };
    $scope.nodFState8 = function () {
        $location.path('/node-js');
        $scope.nodState1 = false;
        $scope.nodState2 = true;
        $scope.nodState3 = true;
        $scope.nodState4 = true;
        $scope.nodState5 = true;
        $scope.nodState6 = true;
        $scope.nodState7 = true;
        $scope.nodState8 = false;
        $scope.nodState9 = true;
        $scope.nodState10 = true;
    };
    $scope.nodFState9 = function () {
        $location.path('/node-js');
        $scope.nodState1 = false;
        $scope.nodState2 = true;
        $scope.nodState3 = true;
        $scope.nodState4 = true;
        $scope.nodState5 = true;
        $scope.nodState6 = true;
        $scope.nodState7 = true;
        $scope.nodState8 = true;
        $scope.nodState9 = false;
        $scope.nodState10 = true;
    };
    $scope.nodFState10 = function () {
        $location.path('/node-js');
        $scope.nodState1 = false;
        $scope.nodState2 = true;
        $scope.nodState3 = true;
        $scope.nodState4 = true;
        $scope.nodState5 = true;
        $scope.nodState6 = true;
        $scope.nodState7 = true;
        $scope.nodState8 = true;
        $scope.nodState9 = true;
        $scope.nodState10 = false;
    };
});